- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WPSTextSubDocument Class Referenceabstract

Basic class used to store a sub document. More...

`#include <WPSTextSubDocument.h>`

Inheritance diagram for WPSTextSubDocument:

## Public Member Functions
| WPSTextSubDocument (RVNGInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSTextSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
virtual bool | operator== (shared_ptr< WPSTextSubDocument > const &doc) const
| an operator = More...
virtual void | parse (shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSTextSubDocument (const WPSTextSubDocument &)
WPSTextSubDocument & | operator= (const WPSTextSubDocument &)

## Detailed Description

Basic class used to store a sub document.

## Constructor & Destructor Documentation

WPSTextSubDocument::WPSTextSubDocument | ( | RVNGInputStreamPtr & | input,
|  | WPSParser * | parser,
|  | int | id = `0`
| ) |  |

constructor

WPSTextSubDocument::~WPSTextSubDocument | ( |  | ) |
| virtual

destructor

WPSTextSubDocument::WPSTextSubDocument | ( | const WPSTextSubDocument & |  | ) |
| explicit private

## Member Function Documentation

RVNGInputStreamPtr& WPSTextSubDocument::getInput | ( |  | ) |
| inline

returns the input

WPSTextSubDocument& WPSTextSubDocument::operator= | ( | const WPSTextSubDocument & |  | ) |
| private

bool WPSTextSubDocument::operator== | ( | shared_ptr< WPSTextSubDocument > const & | doc | ) | const
| virtual

an operator =

Reimplemented in WPS8ParserInternal::SubDocument, WPS4ParserInternal::SubDocument, and MSWriteParserInternal::SubDocument.

Referenced by parser().

virtual void WPSTextSubDocument::parse | ( | shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in WPS8TextInternal::SubDocument, WPS8ParserInternal::SubDocument, WPS4ParserInternal::SubDocument, and MSWriteParserInternal::SubDocument.

Referenced by WPSContentListener::handleSubDocument(), and parser().

WPSParser* WPSTextSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

WPSParser* WPSTextSubDocument::m_parser
| protected

Referenced by operator==(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), and parser().

The documentation for this class was generated from the following files:

- WPSTextSubDocument.h
- WPSTextSubDocument.cpp